Package org.codehaus.groovy.vmplugin.v5

# Class PluginDefaultGroovyMethods

java.lang.Object
org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport
org.codehaus.groovy.vmplugin.v5.PluginDefaultGroovyMethods

    @Deprecated
    public class PluginDefaultGroovyMethods
    extends DefaultGroovyMethodsSupport

Deprecated.
This class defines new Java 5 specific groovy methods which extend the normal JDK classes inside the Groovy environment. Static methods are used with the first parameter the destination class.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PluginDefaultGroovyMethods()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.StringBuilder` | `leftShift​(java.lang.StringBuilder self, java.lang.Object value)` | Deprecated. Overloads the left shift operator to provide an easy way to append multiple objects as string representations to a StringBuilder.
  `static java.lang.Object` | `next​(java.lang.Enum self)` | Deprecated. This method is called by the ++ operator for enums.
  `static java.lang.String` | `plus​(java.lang.StringBuilder self, java.lang.String value)` | Deprecated. Appends a String to this StringBuilder.
  `static java.lang.Object` | `previous​(java.lang.Enum self)` | Deprecated. This method is called by the -- operator for enums.
  `static void` | `putAt​(java.lang.StringBuilder self, EmptyRange range, java.lang.Object value)` | Deprecated. Support the range subscript operator for StringBuilder.
  `static void` | `putAt​(java.lang.StringBuilder self, IntRange range, java.lang.Object value)` | Deprecated. Support the range subscript operator for StringBuilder.
  `static int` | `size​(java.lang.StringBuilder builder)` | Deprecated. Standard Groovy size() method for StringBuilders.

  ### Methods inherited from class org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport

  `cloneSimilarCollection, cloneSimilarMap, closeQuietly, closeWithWarning, createSimilarArray, createSimilarCollection, createSimilarCollection, createSimilarCollection, createSimilarList, createSimilarMap, createSimilarOrDefaultCollection, createSimilarQueue, createSimilarSet, normaliseIndex, sameType, subListBorders, subListBorders, writeUTF16BomIfRequired, writeUTF16BomIfRequired, writeUTF16BomIfRequired, writeUTF16BomIfRequired`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PluginDefaultGroovyMethods

    public PluginDefaultGroovyMethods()
    Deprecated.

- ## Method Details

  - ### next

    public static java.lang.Object next​(java.lang.Enum self)
    Deprecated.
    This method is called by the ++ operator for enums. It will invoke Groovy's default next behaviour for enums do not have their own next method.
    Parameters:
      `self` - an Enum
    Returns:
      the next defined enum from the enum class

  - ### previous

    public static java.lang.Object previous​(java.lang.Enum self)
    Deprecated.
    This method is called by the -- operator for enums. It will invoke Groovy's default previous behaviour for enums that do not have their own previous method.
    Parameters:
      `self` - an Enum
    Returns:
      the previous defined enum from the enum class

  - ### size

    public static int size​(java.lang.StringBuilder builder)
    Deprecated.
    Standard Groovy size() method for StringBuilders.
    Parameters:
      `builder` - a StringBuilder
    Returns:
      the length of the StringBuilder

  - ### leftShift

    public static java.lang.StringBuilder leftShift​(java.lang.StringBuilder self, java.lang.Object value)
    Deprecated.
    Overloads the left shift operator to provide an easy way to append multiple objects as string representations to a StringBuilder.
    Parameters:
      `self` - a StringBuilder
      `value` - a value to append
    Returns:
      the StringBuilder on which this operation was invoked

  - ### putAt

    public static void putAt​(java.lang.StringBuilder self, IntRange range, java.lang.Object value)
    Deprecated.
    Support the range subscript operator for StringBuilder. Index values are treated as characters within the builder.
    Parameters:
      `self` - a StringBuilder
      `range` - a Range
      `value` - the object that's toString() will be inserted

  - ### putAt

    public static void putAt​(java.lang.StringBuilder self, EmptyRange range, java.lang.Object value)
    Deprecated.
    Support the range subscript operator for StringBuilder.
    Parameters:
      `self` - a StringBuilder
      `range` - a Range
      `value` - the object that's toString() will be inserted

  - ### plus

    public static java.lang.String plus​(java.lang.StringBuilder self, java.lang.String value)
    Deprecated.
    Appends a String to this StringBuilder.
    Parameters:
      `self` - a StringBuilder
      `value` - a String
    Returns:
      a String